bdi4jade.util.agent

## Class UtilityBasedBDIAgent

- java.lang.Object
- - jade.core.Agent
  - - bdi4jade.core.BDIAgent
    - - bdi4jade.util.agent.UtilityBasedBDIAgent

- All Implemented Interfaces:
    jade.core.TimerListener, java.io.Serializable, java.lang.Runnable

      public class UtilityBasedBDIAgent
      extends BDIAgent

  Author:
    ingrid
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jade.core.Agent

      `jade.core.Agent.Interrupted`

  - ### Field Summary

    - ### Fields inherited from class jade.core.Agent

      `AP_ACTIVE, AP_DELETED, AP_IDLE, AP_INITIATED, AP_MAX, AP_MIN, AP_SUSPENDED, AP_WAITING, D_ACTIVE, D_MAX, D_MIN, D_RETIRED, D_SUSPENDED, D_UNKNOWN, MSG_QUEUE_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UtilityBasedBDIAgent()`

  - ### Method Summary

    - ### Methods inherited from class bdi4jade.core.BDIAgent

      `addCapability, addGoal, addGoal, addGoal, addGoal, addSoftgoal, dropGoal, dropSoftoal, getAllBeliefs, getAllCapabilities, getAllGoals, getAllSoftgoals, getBeliefRevisionStrategy, getDeliberationFunction, getIntentions, getOptionGenerationFunction, getPlanSelectionStrategy, getRootCapability, removeCapability, setBeliefRevisionStrategy, setDeliberationFunction, setNoLongerDesired, setOptionGenerationFunction, setPlanSelectionStrategy`

    - ### Methods inherited from class jade.core.Agent

      `addBehaviour, blockingReceive, blockingReceive, blockingReceive, blockingReceive, changeStateTo, clean, doActivate, doClone, doDelete, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getArguments, getBootProperties, getContainerController, getContentManager, getCurQueueSize, getDefaultDF, getHap, getHelper, getLocalName, getName, getO2AObject, getProperty, getQueueSize, getState, here, isRestarting, join, notifyChangeBehaviourState, notifyRestarted, postMessage, putBack, putO2AObject, receive, receive, removeBehaviour, removeTimer, restartLater, restore, restoreBufferedState, run, send, setArguments, setEnabledO2ACommunication, setGenerateBehaviourEvents, setO2AManager, setQueueSize, waitUntilStarted, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UtilityBasedBDIAgent

          public UtilityBasedBDIAgent()